Get profile
GET
/v1/account/profile
const url = 'https://api.parasta.io/v1/account/profile';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/account/profile \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
userId
string
name
string
maskedPhone
string
email
string
status
string
walletType
string
registeredAt
string format: date-time
twoFactorMethods
Array<string>
Example generated
{ "userId": "example", "name": "example", "maskedPhone": "example", "email": "example", "status": "example", "walletType": "example", "registeredAt": "2026-04-15T12:00:00Z", "twoFactorMethods": [ "example" ]}